My Business Business Information API

My Business Business Information API 提供了一个用于在 Google 上管理商家信息的接口。注意:如果您在启用 API 后配额为 0,请通过以下网址申请 GBP API 访问权限:https://developers.google.com/my-business/content/prereqs#request-access。

服务:mybusinessbusinessinformation.googleapis.com

如要调用此服务,我们建议您使用 Google 提供的客户端库。如果您的应用需要使用您自己的库来调用此服务,则在发出 API 请求时应使用以下信息。

发现文档

发现文档是用于说明和使用 REST API 的机器可读规范。它用于构建客户端库、IDE 插件以及与 Google API 交互的其他工具。一项服务可能会提供多个发现文档。此服务提供了以下发现文档:

服务端点

服务端点是一个基础网址,指定了 API 服务的网络地址。一项服务可能有多个服务端点。此服务具有以下服务端点,下面的所有 URI 都与此服务端点相关:

  • https://mybusinessbusinessinformation.googleapis.com

REST 资源:v1.accounts.locations

方法
create POST /v1/{parent=accounts/*}/locations
创建将由登录用户拥有的新营业地点。
list GET /v1/{parent=accounts/*}/locations
列出指定账号的营业地点。

REST 资源:v1.attributes

方法
list GET /v1/attributes
返回具有给定主要类别和国家/地区的位置可用的属性列表。

REST 资源:v1.categories

方法
batchGet GET /v1/categories:batchGet
返回指定语言和 GConcept ID 的业务类别列表。
list GET /v1/categories
返回业务类别列表。

REST 资源:v1.chains

方法
get GET /v1/{name=chains/*}
获取指定的链。
search GET /v1/chains:search
根据连锁店名称搜索连锁店。

REST 资源:v1.googleLocations

方法
search POST /v1/googleLocations:search
搜索与指定请求匹配的所有可能营业地点。

REST 资源:v1.locations

方法
delete DELETE /v1/{name=locations/*}
删除营业地点。
get GET /v1/{name=locations/*}
返回商家最后设置的指定营业地点。
getAttributes GET /v1/{name=locations/*/attributes}
检索商家最后设置的营业地点属性。
getGoogleUpdated GET /v1/{name=locations/*}:getGoogleUpdated
返回在 Google 地图和 Google 搜索中显示的指定营业地点。
patch PATCH /v1/{location.name=locations/*}
更新指定的营业地点。
updateAttributes PATCH /v1/{attributes.name=locations/*/attributes}
更新给定营业地点的属性。

REST 资源:v1.locations.attributes

方法
getGoogleUpdated GET /v1/{name=locations/*/attributes}:getGoogleUpdated
检索营业地点在 Google 地图和 Google 搜索中显示的属性。